Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.sourcelookup
Interface ISourceContainerType

All Superinterfaces:
  ISourceContainerTypeDelegate

public interface ISourceContainerType
extends ISourceContainerTypeDelegate

A source container type represents a kind of container of source code. For example, a source container type may be a project or a directory. A specific project or directory is represented by an instance of a source container type, which is called a source container (`ISourceContainer`).

A source container type is contributed via the `sourceContainerTypes` extension point, providing a delegate to the work specific to the contributed type. Following is an example contribution.

     <extension point="org.eclipse.debug.core.sourceContainerTypes">
     	<sourceContainerType
     		name="Project"
     		class="org.eclipse.debug.internal.core.sourcelookup.containers.ProjectSourceContainerType"
     		id="org.eclipse.debug.core.containerType.project"
     		description="A project in the workspace">
     	</sourceContainerType>
     </extension>

Since:
  3.0
See Also:
  `ISourceContainer`, `ISourceContainerTypeDelegate`

Method Summary
`String` | `getDescription()` Returns a short description of this source container type that can be used for presenetation purposes, or `null` if none.
`String` | `getId()` Returns the unique identifier associated with this source container type.
`String` | `getName()` Returns the name of this source container type that can be used for presentation purposes.

Methods inherited from interface org.eclipse.debug.core.sourcelookup.ISourceContainerTypeDelegate
`createSourceContainer, getMemento`

Method Detail

### getName

    public String getName()

  Returns the name of this source container type that can be used for presentation purposes. For example, `Working Set` or `Project`. The value returned is identical to the name specified in plugin.xml by the `name` attribute.

  Returns:
    the name of this source container type

### getId

    public String getId()

  Returns the unique identifier associated with this source container type. The value returned is identical to the identifier specified in plugin.xml by the `id` attribute.

  Returns:
    the unique identifier associated with this source container type

### getDescription

    public String getDescription()

  Returns a short description of this source container type that can be used for presenetation purposes, or `null` if none.

  Returns:
    a short description of this source container type, or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.